---
lang: en
title: 'API docs: security.defaultsubject.adduser'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.defaultsubject.adduser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [DefaultSubject](./security.defaultsubject.md) &gt; [addUser](./security.defaultsubject.adduser.md)

## DefaultSubject.addUser() method

**Signature:**

```typescript
addUser(...users: UserProfile[]): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  users | [UserProfile](./security.userprofile.md)<!-- -->\[\] |  |

**Returns:**

void


